curl --request PATCH \
--url https://api.fpjs.io/v4/events/{event_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"linked_id": "somelinkedId",
"tags": {},
"suspect": true
}
'import requests
url = "https://api.fpjs.io/v4/events/{event_id}"
payload = {
"linked_id": "somelinkedId",
"tags": {},
"suspect": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({linked_id: 'somelinkedId', tags: {}, suspect: true})
};
fetch('https://api.fpjs.io/v4/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update an event
Change information in existing events specified by event_id or flag suspicious events.
When an event is created, it can be assigned linked_id and tags submitted through the JS agent parameters.
This information might not have been available on the client initially, so the Server API permits updating these attributes after the fact.
Warning It’s not possible to update events older than one month.
Warning Trying to update an event immediately after creation may temporarily result in an error (HTTP 409 Conflict. The event is not mutable yet.) as the event is fully propagated across our systems. In such a case, simply retry the request.
Authorizations
Add your Secret API Key to the Authorization header using the standard Bearer format: Authorization: Bearer <secret_api_key>
Path Parameters
The unique event identifier.
"1708102555327.NLOjmg"
Body
Response
OK.
Was this page helpful?